﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#End Region

Sub Class_Globals
	Private Root As B4XView
	
	Private xui As XUI
	Private ivStep1 As B4XView
	Private ivStep2 As B4XView
	Private ivStep3 As B4XView
	Private ivStep4 As B4XView
	Private ivStep5 As B4XView
	Private ivStep6 As B4XView
	Private btnStart As B4XView
	
	Private DetailsPage As B4XDetailsPage
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("Main")
	
	B4XPages.SetTitle(Me, "Painting Courses")
	ivStep1.SetBitmap(LoadBitmap(File.DirAssets, "1-200x150.jpg"))
	ivStep2.SetBitmap(LoadBitmap(File.DirAssets, "2-200x150.jpg"))
	ivStep3.SetBitmap(LoadBitmap(File.DirAssets, "3-200x150.jpg"))
	ivStep4.SetBitmap(LoadBitmap(File.DirAssets, "4-200x150.jpg"))
	ivStep5.SetBitmap(LoadBitmap(File.DirAssets, "5-200x150.jpg"))
	ivStep6.SetBitmap(LoadBitmap(File.DirAssets, "6-200x150.jpg"))
	
	DetailsPage.Initialize
	B4XPages.AddPage("Details Page", DetailsPage)
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub btnStart_Click
	B4XPages.ShowPage("Details Page")
End Sub

'Return True to close, False to cancel
Private Sub B4XPage_CloseRequest As ResumableSub
	Dim sf As Object = xui.Msgbox2Async("Finish?", "Painting Courses", "Yes", "", "No", Null)
	Wait For (sf) Msgbox_Result (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		Return True
	End If
	Return False
End Sub
